# Interface methods for submodule: ImageToHistogramFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSinkProxy as _ImageSinkProxy


# Interface methods for class: ImageToHistogramFilter
class ImageToHistogramFilterProxy(_ImageSinkProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def SetHistogramSizeInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramSize(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramSize(self, _arg: Sequence[int]) -> None:
		""""""
		...

	def GetHistogramSizeInput(self):
		""""""
		...

	def GetHistogramSize(self) -> Sequence[int]:
		""""""
		...

	def SetMarginalScaleInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetMarginalScale(self, _arg) -> None:
		""""""
		...

	@overload
	def SetMarginalScale(self, _arg: float) -> None:
		""""""
		...

	def GetMarginalScaleInput(self):
		""""""
		...

	def GetMarginalScale(self) -> float:
		""""""
		...

	def SetHistogramBinMinimumInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramBinMinimum(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramBinMinimum(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetHistogramBinMinimumInput(self):
		""""""
		...

	def GetHistogramBinMinimum(self) -> Sequence[float]:
		""""""
		...

	def SetHistogramBinMaximumInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramBinMaximum(self, _arg) -> None:
		""""""
		...

	@overload
	def SetHistogramBinMaximum(self, _arg: Sequence[float]) -> None:
		""""""
		...

	def GetHistogramBinMaximumInput(self):
		""""""
		...

	def GetHistogramBinMaximum(self) -> Sequence[float]:
		""""""
		...

	def SetAutoMinimumMaximumInput(self, _arg) -> None:
		""""""
		...

	@overload
	def SetAutoMinimumMaximum(self, _arg) -> None:
		""""""
		...

	@overload
	def SetAutoMinimumMaximum(self, _arg: bool) -> None:
		""""""
		...

	def GetAutoMinimumMaximumInput(self):
		""""""
		...

	def GetAutoMinimumMaximum(self) -> bool:
		""""""
		...

	def AutoMinimumMaximumOn(self) -> None:
		""""""
		...

	def AutoMinimumMaximumOff(self) -> None:
		""""""
		...

	def GraftOutput(self, graft) -> None:
		""""""
		...

	def SetNumberOfStreamDivisions(self, n: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

